$(function() {
 
	// Asignar evento y función para limpiar los campos
    $('#busca').on('input', limpaCampos);
 
	// Dispara o Autocomplete a partir do segundo caracter	
    $( "#busca" ).autocomplete({
	    minLength: 2,
	    source: function( request, response ) {
	        $.ajax({
	            url: "consulta_cliente.php",
	            dataType: "json",
	            data: {
	            	acao: 'autocomplete',
	                parametro: $('#busca').val()
	            },
	            success: function(data) {
	               response(data);
	            }
	        });
	    },
	    focus: function( event, ui ) {
            $('#idcliente').val( ui.item.id );			
	        $("#busca").val( ui.item.nombre );
            $('#direccion').val( ui.item.direccion );			
            $('#rnc').val( ui.item.rnc );			
            $('#telefono').val( ui.item.telefono );			
            $('#celular').val( ui.item.celular );			
            $('#email').val( ui.item.email );			
	        carregarDados();
	        return false;
	    },
	    select: function( event, ui ) {
	        $("#busca").val( ui.item.nombre );
	        return false;
	    }
    })
    .autocomplete( "instance" )._renderItem = function( ul, item ) {
      return $( "<li>" )
        .append( "<a><b>ID .....: </b>" + item.id + "<br><b>NOMBRE : </b>" + item.nombre + "</a><br>" )
        .appendTo( ul );
    };
 
	// Función para cargar los datos de la consulta en los campos respectivos	
    function carregarDados(){
    	var busca = $('#busca').val();
 
    	if(busca != "" && busca.length >= 2){
    		$.ajax({
	            url: "consulta_cliente.php",
	            dataType: "json",	
	            data: {
	            	acao: 'consulta',
	                parametro: $('#busca').val()
	            },
	            success: function( data ) {
					$('#idcliente').val(data[0].id);			
					$("#busca").val(data[0].nombre );
					$('#direccion').val(data[0].direccion);			
					$('#rnc').val(data[0].rnc);			
					$('#telefono').val(data[0].telefono);			
					$('#celular').val(data[0].celular);			
					$('#email').val(data[0].email);			
	            }
	        });
    	}
    }
 
	// Función para borrar los campos si la búsqueda está vacía
	
    function limpaCampos(){
       var busca = $('#busca').val();
 
       if(busca == ""){
					$('#idcliente').val('');			
					$("#busca").val('');
					$('#direccion').val('');			
					$('#telefono').val('');			
					$('#celular').val('');			
					$('#email').val('');	
       }
    }
});
